--------------------------------------------------------------------------------
-- CREATE TABLE
CREATE TABLE dxt_data (
    rec_date                       DATE
  , rec_user                       VARCHAR2(240)
  , data_id                        VARCHAR2(240)
  , data_cd                        VARCHAR2(480)
  , data_name                      VARCHAR2(240)
  , odbc_name                      VARCHAR2(240)
  , odbc_user                      VARCHAR2(240)
  , sql_text                       CLOB
  , page_size                      NUMBER
  , comments                       VARCHAR2(2000)
);

COMMENT ON TABLE  dxt_data IS 'f[^';
COMMENT ON COLUMN dxt_data.rec_date                       IS 'XV';
COMMENT ON COLUMN dxt_data.rec_user                       IS 'XV';
COMMENT ON COLUMN dxt_data.data_id                        IS 'f[^ID';
COMMENT ON COLUMN dxt_data.data_cd                        IS 'f[^R[h';
COMMENT ON COLUMN dxt_data.data_name                      IS 'f[^';
COMMENT ON COLUMN dxt_data.odbc_name                      IS 'ODBC';
COMMENT ON COLUMN dxt_data.odbc_user                      IS 'ODBC[U[';
COMMENT ON COLUMN dxt_data.sql_text                       IS 'SQL';
COMMENT ON COLUMN dxt_data.page_size                      IS 'f[^TCY';
COMMENT ON COLUMN dxt_data.comments                       IS 'Rg';

--------------------------------------------------------------------------------
-- PRIMARY KEY
ALTER TABLE dxt_data ADD CONSTRAINT dxt_data$pk PRIMARY KEY (
    data_id
);

--------------------------------------------------------------------------------
-- CREATE INDEX
CREATE UNIQUE INDEX dxt_data$01 ON dxt_data (
    data_cd
);
